Bug 848521 - UPS handling seems broken in recent kernels (3.5+)
UPS handling seems broken in recent kernels (3.5+)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 871147 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 15:46 EDT by Adam Williamson
Modified: 2013-01-22 20:28 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 20:26:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Paste of lsusb -v (2.04 KB, text/plain)
2012-11-14 09:17 EST, Frank Jacobberger
no flags Details

  None (edit)
Description Adam Williamson 2012-08-15 15:46:30 EDT
I have a UPS attached to my system, with apcupsd correctly configured and running. With F17, GNOME Shell saw the UPS - I had a battery icon with a charging indicator just like on my laptop, and I could click it and get some basic status info and set some preferences.

Since updating to F18, GNOME seems not to see the UPS at all any more. There is no such icon in the 'tray' and the 'Power' preferences window has nothing at all about my UPS (just a single option for inactive suspend timeout).
Comment 1 Matthias Clasen 2012-09-26 20:44:08 EDT
Moving to upower, which seems more likely.
Comment 2 Adam Williamson 2012-09-27 15:10:51 EDT
[root@adam kernel (f18 *%)]# upower --enumerate
[root@adam kernel (f18 *%)]# 

so yeah, that seems right. I'd expect that to print something if upower was seeing the UPS. It prints out a couple of things (one for AC, one for battery) on my laptop.
Comment 3 bikedude880 2012-11-02 01:34:01 EDT
Also affects F17.

UPower client version 0.9.17
UPower daemon version 0.9.17
Comment 4 Adam Williamson 2012-11-02 02:21:45 EDT
well, I explicitly said in my first comment that it *didn't* affect F17. this was working fine in F17 for me back then. of course, I don't know if it is with current F17 packages.
Comment 5 bikedude880 2012-11-02 02:32:10 EDT
It /did/ work on F17 right before the kernel was updated to 3.6.x

I'm still investigating whether upower was updated around the same time.
Comment 6 Frank Jacobberger 2012-11-14 02:21:43 EST
Same here. I'm still on f17 and it crapped out with the 3.6.x kernels. Hasn't worked since kernel 3.5.x back in September. Kernel issue I believe.
Comment 7 Adam Williamson 2012-11-14 02:25:01 EST
seems we have a new suspect here. kernel folks, what can we get you that would help with this?
Comment 8 Adam Williamson 2012-11-14 02:25:31 EST
Since it may be important now we're down to this being a kernel issue, my UPS is a CyberPower 1500AVR.
Comment 9 Frank Jacobberger 2012-11-14 09:17:17 EST
Created attachment 644904 [details]
Paste of lsusb -v

Just snipet of my APC issue.
Comment 10 Adam Williamson 2012-12-04 01:41:25 EST
Not sure if it's part of the same problem, but I just had an outage here, and my desktop - F18 - restarted when the outage hit, but my VM host / server box - F17 - kept trucking. The vmhost is still booted on kernel 3.3.0-1. I'm a bit scared to reboot it now...
Comment 11 Adam Williamson 2012-12-04 01:46:35 EST
adjusting summary, this seems more general that GNOME.
Comment 12 Frank Jacobberger 2012-12-27 11:11:57 EST
FYI, none of the kernel updates to f18 over the several months have fixed the problem. Is anyone in dev looking at this?
Comment 13 Frank Jacobberger 2012-12-30 20:13:47 EST
I'm not interested in this bug anymore. Given up hope it will be addressed. 

Work around, run NUT in fedora.... at least Nut Monitor is gui and works!
Comment 14 Richard Hughes 2012-12-31 14:41:52 EST
Committed upstream in upower:

commit 9f31068707fc79744961cea7258b0eb262effbf1
Author: Peter Hurley <peter@hurleysoftware.com>
Date:   Sun Dec 23 15:45:01 2012 -0500

    Fix device matching for recent kernels
    
    In recent kernels, hiddev* devices now have class "usbmisc", rather
    than "usb" (see http://www.spinics.net/lists/linux-usb/msg62276.html).
    This change translates into a change in SUBSYSTEM matching for hiddev*
    devices. This fix addresses this for recent kernels while retaining
    existing behavior.

Technically this is a kernel ABI break IMHO.
Comment 15 bikedude880 2013-01-01 14:32:25 EST
(In reply to comment #14)
> Committed upstream in upower:
> 
> commit 9f31068707fc79744961cea7258b0eb262effbf1
> Author: Peter Hurley <peter@hurleysoftware.com>
> Date:   Sun Dec 23 15:45:01 2012 -0500
> 
>     Fix device matching for recent kernels
>     
>     In recent kernels, hiddev* devices now have class "usbmisc", rather
>     than "usb" (see http://www.spinics.net/lists/linux-usb/msg62276.html).
>     This change translates into a change in SUBSYSTEM matching for hiddev*
>     devices. This fix addresses this for recent kernels while retaining
>     existing behavior.
> 
> Technically this is a kernel ABI break IMHO.

Will this fix make it into F17?
Comment 16 Richard Hughes 2013-01-02 04:46:26 EST
> Will this fix make it into F17?

Yes, I'm just prepping the update for F18 and F17.
Comment 17 Fedora Update System 2013-01-02 05:47:25 EST
upower-0.9.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/upower-0.9.19-1.fc18
Comment 18 Fedora Update System 2013-01-02 05:48:09 EST
upower-0.9.19-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/upower-0.9.19-1.fc17
Comment 19 bikedude880 2013-01-02 13:45:39 EST
(In reply to comment #16)
> > Will this fix make it into F17?
> 
> Yes, I'm just prepping the update for F18 and F17.

(In reply to comment #18)
> upower-0.9.19-1.fc17 has been submitted as an update for Fedora 17.
> https://admin.fedoraproject.org/updates/upower-0.9.19-1.fc17

Tested, fixes the long-standing bug.  Many thanks for this.
Comment 20 Fedora Update System 2013-01-02 15:19:29 EST
Package upower-0.9.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing upower-0.9.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0073/upower-0.9.19-1.fc18
then log in and leave karma (feedback).
Comment 21 Adam Williamson 2013-01-03 21:58:34 EST
Thanks, Richard!

"Technically this is a kernel ABI break IMHO."

Maybe you should let Linus know, so he can incinerate the unfortunate responsible party =)
Comment 22 Josh Boyer 2013-01-07 18:11:51 EST
*** Bug 871147 has been marked as a duplicate of this bug. ***
Comment 23 Fedora Update System 2013-01-22 20:27:00 EST
upower-0.9.19-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-01-22 20:28:03 EST
upower-0.9.19-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.